function val=distort(val,morph)
%{
 Temporarily distort the list of values val, in order to modify
 the estimation of distribution.
 morph is in the interval ]0 2[
 The order must be the same after distortion
 
 TO DO
 Check consistency with opp (in case of maximisation)
 
%}
m=max(val);
nVal=length(val);
[val, Ind]=sort(val);
val0=val;
dVal=val(nVal)-val(1);
 
if morph>=1 % In favour of the high (bad) values
% Temporarily increases them to increase the probability to be selected
% by uniform random choice
	tv=val(1)+(2-morph)*dVal;
  tr=find(val>=tv);
 	tresh=tr(1);

  coeff=(morph-1);
  coeff=coeff^(1/nVal);
  for v=nVal-1:-1:tresh+1 
    val(v)=val(v) +coeff*(val(v+1)-val(v));
  end
  
  for v=2:tresh-1 
   val(v)=val(v)-coeff*(val(v)-val(v-1));
  end
  
else % In favour of the small (good) values
  tv=val(1)+morph*dVal;
  tr=find(val>=tv);
 	tresh=tr(1);
  coeff=(1-morph)^(1/nVal);

  for v=tresh-1:-1:2
    val(v)=val(v)+coeff*(val(v+1)-val(v));
  end
  
  for v=tresh+1:nVal-1
    val(v)=val(v)-coeff*(val(v)-val(v-1));
  end
end

% Keeps the same max value
val=val*m/max(val);

% Restore the order
val=val(Ind);

% Plots the deformation
%hold on
%plot(val0,val);

end

