function [x,fx,FEs]=fEval(xNorm, fun, opt_f,FuncAddr,FEs, LB, UB,quantis)
%{
	Inputs
	------
	xNorm					position, normalised on [0,1]^D)
	fun						code of the function
	opt_f					useless here, just for compatibility
	FuncAddress		subroutine to use to evaluate the function
	FEs						number of evaluations
	LB						real low boundaries for the coordinates
	UB						real up boundaries
	quantis				discretisation (quantisation) vector
	
	Outputs
	-------
	x							the true position, for future use
	fx						value of the position
	FEs						new number of evaluations (here, it is usually just FEs+1)

%}

x=LB+(UB-LB).*xNorm;
fx = FuncAddr(x, fun, opt_f);

% Unfortunately, there are  sometimes bugs in function evaluations
% and the position can not be evaluated
%  (see for example CEC 2011 competition, functions 5 and 6)
if isnan(fx)
  fx=10^10; % Inf can not be used, for some Matlab instructions does not accept it
else
  FEs=FEs+1;
end
end

