function posInit=initPos(init,quantis)

  D=length(quantis);
  
  switch init
    case 0 % At random.
      S0=floor(90*(1+4*log(D)/1000)); % APS formula
      posInit=initRand(quantis,S0-1);
      
      % Adds the center
      center=0.5*ones(1,D); 
      center=quantify(center,quantis);
      posInit=[posInit;center];
      
    case {1 2}% Corners or corners+center (depending on init)
      posInit=initCorners(quantis,init);
      
    case 3 % Corners + random
      posCorners=initCorners(quantis,1);
      S2=floor(90*(1+4*log(D)/1000));
      posRand=initRand(quantis,S2);
      posInit=[posCorners;posRand];    
      
    case {4 5} % Random + centre + one corner at random
    	switch init
    	case 4
    		S0=floor(90*(1+4*log(D)/1000)); % APS formula
    	case 5
    		S0=4+floor(3*log(D)); % CMA-ES formula
    	end
    	
      posInit=initRand(quantis,S0-2);
      
    % Adds a corner at random
    corner=randi(2,1,D)-1;
    
    % Adds the centre
    center=0.5*ones(1,D); 
    center=quantify(center,quantis);
    posInit=[posInit; corner;center];
    
  end % switch init

end
