function plotDelaunay(x,y,f,LB,UB,plotFacet,tri,plotAnim,init,reTriang)
global runPlot nExper
global F videoFile frame  % For movie (plotAnim option)

if runPlot~=nExper return; end

n=length(f);
D=length(LB);

% As x and y are normalised, recreates the real values
x=LB(1)+(UB(1)-LB(1)).*x;

% If animation, keeps the same figure
if D<3
if ~plotAnim
	titleFig=['init=',num2str(init), '   reTriang=', num2str(reTriang)];

  figure('OuterPosition', [700 500 600 500], 'Name',titleFig,...
  'NumberTitle','off')
else
  hold on
  clf
  if D==2
    axis([LB(1) UB(1) LB(2) UB(2)]);
  end
end
end

switch D
  case 1
  	pause(1/24); % So that display is not too quick
    plot(x,f,'-o');
    
  case 2
    y=LB(2)+(UB(2)-LB(2)).*y;
    % Possibly redefines the triangulation
    [nbTri,nb] = size(tri);
    
    if nbTri==0
      tri=delaunay(x,y);
      [nbTri,nb] = size(tri);
    end
    
    % ----------------------------------------------- Plots
  
    switch plotFacet
      case 1 % Projections of the facets
        frame=frame+1;
        colormap summer
        H=triplot(tri,x,y);
        
      case 2  % Plots the facets
        colormap summer
        H= trisurf(tri,x,y,f);
        
      case 3 % Both
        trisurf(tri,x,y,zeros(1,n));
        hold on;
        colormap summer
        H= trisurf(tri,x,y,f);
        
    end % switch plotFacet -----------------------------
    
  otherwise
    fprintf( '\n I can print facets only for D=1 or 2 ');
    return
    
end % switch D

% If animations, saves the frame
if plotAnim && D<3
  F = getframe;
  writeVideo(videoFile,F)
else
  F=[]; % Just to avoid an error message saying F is not assigned
end
delete H
end

