function x=quantify(x,quantis)
% Some coordinates are discrete. We adjust them to the nearest acceptable one.
	D=length(x);
	for d=1:D
		if quantis(d)>0
			x(d)=quantis(d)*round(x(d)/quantis(d));
		end
	end
	  	% It might happen that, after discretisation
  		% a position is now outside the search space
  		% Note: the search space is supposed to be normalised [0 1]^D
  		x=confinPos(x);
end
%==================================================================== confinPos
function x=confinPos(x)
% The search space is supposed to be normalised [0,1]^D
% Keeps the position inside it
D=length(x);

for d=1:D
	x(d)=min(1,max(0,x(d)));
end
end

